SuggestDetails

class oci.log_analytics.models.SuggestDetails(**kwargs)

Bases: object

Typeahead input.

Attributes:

SUB_SYSTEM_LOG

A constant which can be used with the sub_system property of a SuggestDetails.

compartment_id

[Required] Gets the compartment_id of this SuggestDetails.

compartment_id_in_subtree

Gets the compartment_id_in_subtree of this SuggestDetails.

query_string

[Required] Gets the query_string of this SuggestDetails.

sub_system

[Required] Gets the sub_system of this SuggestDetails.

Methods:

__init__(**kwargs)

Initializes a new SuggestDetails object with values from keyword arguments.

SUB_SYSTEM_LOG = 'LOG'

A constant which can be used with the sub_system property of a SuggestDetails. This constant has a value of “LOG”

__init__(**kwargs)

Initializes a new SuggestDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • compartment_id (str) – The value to assign to the compartment_id property of this SuggestDetails.

  • compartment_id_in_subtree (bool) – The value to assign to the compartment_id_in_subtree property of this SuggestDetails.

  • query_string (str) – The value to assign to the query_string property of this SuggestDetails.

  • sub_system (str) – The value to assign to the sub_system property of this SuggestDetails. Allowed values for this property are: “LOG”

property compartment_id

[Required] Gets the compartment_id of this SuggestDetails. Compartment Identifier OCID].

Returns

The compartment_id of this SuggestDetails.

Return type

str

property compartment_id_in_subtree

Gets the compartment_id_in_subtree of this SuggestDetails. Flag to search all child compartments of the compartment Id specified in the compartmentId query parameter.

Returns

The compartment_id_in_subtree of this SuggestDetails.

Return type

bool

property query_string

[Required] Gets the query_string of this SuggestDetails. Query seeking suggestions for.

Returns

The query_string of this SuggestDetails.

Return type

str

property sub_system

[Required] Gets the sub_system of this SuggestDetails. Default subsystem to qualify fields with in the queryString if not specified.

Allowed values for this property are: “LOG”

Returns

The sub_system of this SuggestDetails.

Return type

str